Name: libvirt-ark-1_3_1
Version: 1.3.1
Release: 1%{dist}.201905031845
Summary: libvirt archive version %{version}
License: LGPLv2+

Source0: https://libvirt.org/sources/libvirt-1.3.1.tar.gz

Patch1: 0001-Include-sysmacros.h-where-needed.patch
Patch2: 0002-build-use-XDR_CFLAGS-for-Cygwin-build.patch
Patch3: 0003-gnulib-temporary-hacks-to-deal-with-glibc-libio.h-re.patch
Patch4: 0004-build-Use-XDR_CFLAGS-in-more-places.patch

BuildRequires: audit-libs-devel
BuildRequires: augeas
BuildRequires: avahi-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: dbus-devel
BuildRequires: device-mapper-devel
BuildRequires: dnsmasq
BuildRequires: ebtables
BuildRequires: fuse-devel
BuildRequires: gawk
BuildRequires: gettext
BuildRequires: gettext-devel
BuildRequires: glusterfs-api-devel
BuildRequires: glusterfs-devel
BuildRequires: gnutls-devel
BuildRequires: iptables
#BuildRequires: iptables-ipv6
BuildRequires: iscsi-initiator-utils
BuildRequires: libattr-devel
BuildRequires: libblkid-devel
BuildRequires: libcap-ng-devel
BuildRequires: libcurl-devel
BuildRequires: libgcrypt-devel
BuildRequires: libnl3-devel
BuildRequires: libpcap-devel
BuildRequires: libpciaccess-devel
%ifarch x86_64 ppc64le
BuildRequires: librados2-devel
BuildRequires: librbd1-devel
%endif
BuildRequires: libselinux-devel
BuildRequires: libssh2-devel
BuildRequires: libssh-devel
BuildRequires: libtasn1-devel
BuildRequires: libudev-devel
BuildRequires: libwsman-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt
BuildRequires: lvm2
BuildRequires: module-init-tools
BuildRequires: ncurses-devel
BuildRequires: netcf-devel
BuildRequires: nfs-utils
BuildRequires: numactl-devel
BuildRequires: numad
BuildRequires: parted-devel
BuildRequires: perl
BuildRequires: polkit
BuildRequires: polkit-devel
BuildRequires: python
BuildRequires: radvd
BuildRequires: readline-devel
BuildRequires: sanlock-devel
BuildRequires: scrub
BuildRequires: sheepdog
BuildRequires: systemd-devel
BuildRequires: systemtap-sdt-devel
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/bin/qemu-img
BuildRequires: util-linux
# wireshark breaks too often
#BuildRequires: wireshark-devel
# libxl breaks too often
#BuildRequires: xen-devel
BuildRequires: xhtml1-dtds
BuildRequires: yajl-devel
%if %{?fedora} >= 28
BuildRequires: libtirpc-devel
BuildRequires: rpcgen
%endif
%if 1
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
BuildRequires: /usr/bin/pod2man
%endif

%description
Libvirt archive version %{version}

%prep
%setup -q -n libvirt-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
if test -d gnulib/local
then
  cd gnulib
  for i in `find local/ -name '*.diff'`
  do
    patch -p1 < $i
  done
  cd ..
fi
    
%if 1
autoreconf -if
%endif
./configure --prefix=/opt/libvirt/%{version} \
            --without-python \
	    --without-libxl
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install


%files
%dir /opt/libvirt/
/opt/libvirt/%{version}

